org.apache.ignite

## Enum ShutdownPolicy

- java.lang.Object
- - java.lang.Enum<ShutdownPolicy>
  - - org.apache.ignite.ShutdownPolicy

All Implemented Interfaces:
  Serializable, Comparable<ShutdownPolicy>

    public enum ShutdownPolicy
    extends Enum<ShutdownPolicy>

This class reperesents a policy of shutdown. The policy specifies data safety guarantees on ordinary shutdown of one or more cluster nodes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`GRACEFUL` Node will stop if and only if it does not store any unique partitions, that don't have another copies in the cluster.
`IMMEDIATE` Stop immediately as soon as all components are ready.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ShutdownPolicy` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`ShutdownPolicy` `fromString(String val)` Return shutdown policy matching to string.
`int` `index()`
`static ShutdownPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ShutdownPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IMMEDIATE

    public static final ShutdownPolicy IMMEDIATE

Stop immediately as soon as all components are ready.

#### GRACEFUL

    public static final ShutdownPolicy GRACEFUL

Node will stop if and only if it does not store any unique partitions, that don't have another copies in the cluster.

### Method Detail

#### values

    public static ShutdownPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShutdownPolicy c : ShutdownPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShutdownPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### index

    public int index()

Returns:
  Index for serialization.

#### fromOrdinal

    public static ShutdownPolicy fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

#### fromString

    public ShutdownPolicy fromString(String val)

Return shutdown policy matching to string.

Parameters:
  `val` - String representation.
Returns:
  Shutdown policy.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021